"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const column_1 = __importDefault(require("../column"));
const theme_1 = require("../theme");
const utils_1 = require("../utils");
exports.default = (noGutter, theme) => {
    if (noGutter != null && typeof noGutter === "boolean" && noGutter) {
        return utils_1.css `
      margin-right: 0;
      margin-left: 0;

      > ${column_1.default} {
        padding-right: 0;
        padding-left: 0;
      }
    `;
    }
    else {
        const width = theme_1.gutterWidth(theme);
        return utils_1.css `
      margin-right: -${width}px;
      margin-left: -${width}px;

      > ${column_1.default} {
        padding-right: ${width}px;
        padding-left: ${width}px;
      }
    `;
    }
};
//# sourceMappingURL=renderGutter.js.map