"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const map_1 = __importDefault(require("./map"));
const resolve_1 = __importDefault(require("./resolve"));
const media_1 = require("../media");
exports.default = (valueMap, renderer, theme) => {
    const breakpointsMap = media_1.breakpoints(theme);
    const breakpointValues = map_1.default(valueMap, theme) || {};
    const breakpointKeys = Object.keys(breakpointValues).filter(breakpointKey => breakpointsMap[breakpointKey] != null &&
        typeof breakpointValues[breakpointKey] === "object");
    const propertyKeys = Object.keys(valueMap).filter(propertyKey => renderer[propertyKey] != null);
    const previousValues = {};
    let count = 0;
    return breakpointKeys.reduce((acc, breakpointKey) => {
        count++;
        return (acc +
            resolve_1.default(breakpointsMap, breakpointKey) `
        ${propertyKeys.reduce((acc2, propertyKey) => {
                const value = breakpointValues[breakpointKey] &&
                    breakpointValues[breakpointKey][propertyKey];
                if (count > 1 && previousValues[propertyKey] === value) {
                    return acc2;
                }
                else {
                    previousValues[propertyKey] = value;
                    return acc2 + renderer[propertyKey](value);
                }
            }, "")}
      `);
    }, "");
};
//# sourceMappingURL=render.js.map